## org.apache.batik.swing.svg
Class GVTTreeBuilderEvent

    java.lang.Object
      java.util.EventObject
          org.apache.batik.swing.svg.GVTTreeBuilderEvent

All Implemented Interfaces:
  java.io.Serializable

public class GVTTreeBuilderEvent
extends java.util.EventObject

This class represents an event which indicate an event originated from a GVTTreeBuilder instance.

See Also:
  Serialized Form

Field Summary
`protected GraphicsNode` `gvtRoot` The GVT root.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`GVTTreeBuilderEvent(java.lang.Object source, GraphicsNode root)` Creates a new GVTTreeBuilderEvent.

Method Summary
`GraphicsNode` `getGVTRoot()` Returns the GVT tree root, or null if the gvt construction was not completed or just started.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### gvtRoot

    protected GraphicsNode gvtRoot

  The GVT root.

Constructor Detail

### GVTTreeBuilderEvent

    public GVTTreeBuilderEvent(java.lang.Object source,
                               GraphicsNode root)

  Creates a new GVTTreeBuilderEvent.

Parameters:
  `source` - the object that originated the event, ie. the GVTTreeBuilder.
  `root` - the GVT root.

Method Detail

### getGVTRoot

    public GraphicsNode getGVTRoot()

  Returns the GVT tree root, or null if the gvt construction was not completed or just started.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.